## otrplayer 0.11

=== Makefile ===
BIN_DIR=debian/otrplayer/usr/bin
INSTALLLOC=debian/otrplayer

all: 

clean: 
install: 
	install -d $(BIN_DIR)
	install -m 755 src/app/otrplayer $(BIN_DIR)
	install -d $(BIN_DIR)/../lib
	install -m 644 libs/libaflib.so.1 $(BIN_DIR)/../lib
	install -d $(BIN_DIR)/../lib/aflib
	install -m 644 libs/libaflibDevFile.so $(BIN_DIR)/../lib/aflib
	install -m 644 libs/libaflibMadFile.so $(BIN_DIR)/../lib/aflib
	install -d $(INSTALLLOC)/usr/share/applications/hildon
	install -m 644 otrplayer.desktop $(INSTALLLOC)/usr/share/applications/hildon/otrplayer.desktop

=== src/app/Makefile ===
#############################################################################
# Makefile for building: otrplayer
# Generated by qmake (2.01a) (Qt 4.5.0) on: Sun Mar 22 20:31:41 2009
# Project:  app.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile app.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4/Qt3Support -I/targets/DIABLO_ARMEL/usr/include/qt4 -I../lib -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../libs -laflib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQt3Support -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cc \
		otrplayer.cc \
		otrplayerfile.cc \
		id3tag.cc \
		otrplayerbase.cpp moc_otrplayerbase.cpp
OBJECTS       = main.o \
		otrplayer.o \
		otrplayerfile.o \
		id3tag.o \
		otrplayerbase.o \
		moc_otrplayerbase.o
DIST          = /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		app.pro
QMAKE_TARGET  = otrplayer
DESTDIR       = 
TARGET        = otrplayer

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: app.pro  /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQt3Support.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile app.pro
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQt3Support.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile app.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/otrplayer1.0.0 || $(MKDIR) .tmp/otrplayer1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/otrplayer1.0.0/ && $(COPY_FILE) --parents otrplayer.h otrplayerfile.h id3tag.h otrplayerbase.h .tmp/otrplayer1.0.0/ && $(COPY_FILE) --parents main.cc otrplayer.cc otrplayerfile.cc id3tag.cc otrplayerbase.cpp .tmp/otrplayer1.0.0/ && (cd `dirname .tmp/otrplayer1.0.0` && $(TAR) otrplayer1.0.0.tar otrplayer1.0.0 && $(COMPRESS) otrplayer1.0.0.tar) && $(MOVE) `dirname .tmp/otrplayer1.0.0`/otrplayer1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/otrplayer1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_otrplayerbase.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_otrplayerbase.cpp
moc_otrplayerbase.cpp: otrplayerbase.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) otrplayerbase.h -o moc_otrplayerbase.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cc otrplayer.h \
		otrplayerbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cc

otrplayer.o: otrplayer.cc otrplayer.h \
		otrplayerbase.h \
		otrplayerfile.h \
		id3tag.h \
		../lib/aflib/aflibConfig.h \
		../lib/aflib/aflib.h \
		../lib/aflib/aflibFile.h \
		../lib/aflib/aflibAudioFile.h \
		../lib/aflib/aflibAudio.h \
		../lib/aflib/aflibChain.h \
		../lib/aflib/aflibMemCache.h \
		../lib/aflib/aflibAudioPitch.h \
		../lib/aflib/aflibAudioSampleRateCvt.h \
		../lib/aflib/aflibConverter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o otrplayer.o otrplayer.cc

otrplayerfile.o: otrplayerfile.cc otrplayerfile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o otrplayerfile.o otrplayerfile.cc

id3tag.o: id3tag.cc id3tag.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o id3tag.o id3tag.cc

otrplayerbase.o: otrplayerbase.cpp otrplayerbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o otrplayerbase.o otrplayerbase.cpp

moc_otrplayerbase.o: moc_otrplayerbase.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_otrplayerbase.o moc_otrplayerbase.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-strip "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_data_service: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
	-$(INSTALL_FILE) /home/forsberg/otrplayer/trunk/src/app/data/com.nokia.otrplayer.service $(INSTALL_ROOT)/usr/share/dbus-1/services/


uninstall_data_service:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/dbus-1/services/com.nokia.otrplayer.service
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 


install_data_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/forsberg/otrplayer/trunk/src/app/data/otrplayer.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_data_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/otrplayer.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install:  install_target install_data_service install_data_desktop  FORCE

uninstall: uninstall_target uninstall_data_service uninstall_data_desktop   FORCE

FORCE:

=== src/lib/Makefile ===
#############################################################################
# Makefile for building: lib
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Mar 14 16:49:57 2009
# Project:  lib.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile lib.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-aflib \
		sub-dev \
		sub-mad \
		sub-ogg \
		sub-wav

aflib//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) aflib/ || $(MKDIR) aflib/ 
	cd aflib/ && $(QMAKE) aflib.pro -unix -o $(MAKEFILE)
sub-aflib-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) aflib/ || $(MKDIR) aflib/ 
	cd aflib/ && $(QMAKE) aflib.pro -unix -o $(MAKEFILE)
sub-aflib: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE)
sub-aflib-make_default: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) 
sub-aflib-make_first: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) first
sub-aflib-all: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) all
sub-aflib-clean: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) clean
sub-aflib-distclean: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) distclean
sub-aflib-install_subtargets: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) install
sub-aflib-uninstall_subtargets: aflib//$(MAKEFILE) FORCE
	cd aflib/ && $(MAKE) -f $(MAKEFILE) uninstall
dev//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) dev/ || $(MKDIR) dev/ 
	cd dev/ && $(QMAKE) dev.pro -unix -o $(MAKEFILE)
sub-dev-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) dev/ || $(MKDIR) dev/ 
	cd dev/ && $(QMAKE) dev.pro -unix -o $(MAKEFILE)
sub-dev: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE)
sub-dev-make_default: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) 
sub-dev-make_first: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) first
sub-dev-all: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) all
sub-dev-clean: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) clean
sub-dev-distclean: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) distclean
sub-dev-install_subtargets: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) install
sub-dev-uninstall_subtargets: dev//$(MAKEFILE) FORCE
	cd dev/ && $(MAKE) -f $(MAKEFILE) uninstall
mad//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) mad/ || $(MKDIR) mad/ 
	cd mad/ && $(QMAKE) mad.pro -unix -o $(MAKEFILE)
sub-mad-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) mad/ || $(MKDIR) mad/ 
	cd mad/ && $(QMAKE) mad.pro -unix -o $(MAKEFILE)
sub-mad: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE)
sub-mad-make_default: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) 
sub-mad-make_first: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) first
sub-mad-all: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) all
sub-mad-clean: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) clean
sub-mad-distclean: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) distclean
sub-mad-install_subtargets: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) install
sub-mad-uninstall_subtargets: mad//$(MAKEFILE) FORCE
	cd mad/ && $(MAKE) -f $(MAKEFILE) uninstall
ogg//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ogg/ || $(MKDIR) ogg/ 
	cd ogg/ && $(QMAKE) ogg.pro -unix -o $(MAKEFILE)
sub-ogg-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ogg/ || $(MKDIR) ogg/ 
	cd ogg/ && $(QMAKE) ogg.pro -unix -o $(MAKEFILE)
sub-ogg: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE)
sub-ogg-make_default: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) 
sub-ogg-make_first: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) first
sub-ogg-all: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) all
sub-ogg-clean: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) clean
sub-ogg-distclean: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) distclean
sub-ogg-install_subtargets: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) install
sub-ogg-uninstall_subtargets: ogg//$(MAKEFILE) FORCE
	cd ogg/ && $(MAKE) -f $(MAKEFILE) uninstall
wav//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) wav/ || $(MKDIR) wav/ 
	cd wav/ && $(QMAKE) wav.pro -unix -o $(MAKEFILE)
sub-wav-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) wav/ || $(MKDIR) wav/ 
	cd wav/ && $(QMAKE) wav.pro -unix -o $(MAKEFILE)
sub-wav: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE)
sub-wav-make_default: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) 
sub-wav-make_first: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) first
sub-wav-all: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) all
sub-wav-clean: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) clean
sub-wav-distclean: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) distclean
sub-wav-install_subtargets: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) install
sub-wav-uninstall_subtargets: wav//$(MAKEFILE) FORCE
	cd wav/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: lib.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf
	$(QMAKE) -unix -o Makefile lib.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile lib.pro

qmake_all: sub-aflib-qmake_all sub-dev-qmake_all sub-mad-qmake_all sub-ogg-qmake_all sub-wav-qmake_all FORCE

make_default: sub-aflib-make_default sub-dev-make_default sub-mad-make_default sub-ogg-make_default sub-wav-make_default FORCE
make_first: sub-aflib-make_first sub-dev-make_first sub-mad-make_first sub-ogg-make_first sub-wav-make_first FORCE
all: sub-aflib-all sub-dev-all sub-mad-all sub-ogg-all sub-wav-all FORCE
clean: sub-aflib-clean sub-dev-clean sub-mad-clean sub-ogg-clean sub-wav-clean FORCE
distclean: sub-aflib-distclean sub-dev-distclean sub-mad-distclean sub-ogg-distclean sub-wav-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-aflib-install_subtargets sub-dev-install_subtargets sub-mad-install_subtargets sub-ogg-install_subtargets sub-wav-install_subtargets FORCE
uninstall_subtargets: sub-aflib-uninstall_subtargets sub-dev-uninstall_subtargets sub-mad-uninstall_subtargets sub-ogg-uninstall_subtargets sub-wav-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/lib/dev/Makefile ===
#############################################################################
# Makefile for building: libaflibDevFile.so
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Mar 14 16:49:58 2009
# Project:  dev.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile dev.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -O2 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I. -I../aflib
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)   -lesd
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aflibDevFile.cc 
OBJECTS       = aflibDevFile.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		dev.pro
QMAKE_TARGET  = aflibDevFile
DESTDIR       = ../../../libs/
TARGET        = libaflibDevFile.so
TARGETD       = libaflibDevFile.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../libs/$(TARGET)

../../../libs/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../libs/ || $(MKDIR) ../../../libs/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../../libs/



Makefile: dev.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf
	$(QMAKE) -unix -o Makefile dev.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile dev.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/aflibDevFile1.0.0 || $(MKDIR) .tmp/aflibDevFile1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/aflibDevFile1.0.0/ && (cd `dirname .tmp/aflibDevFile1.0.0` && $(TAR) aflibDevFile1.0.0.tar aflibDevFile1.0.0 && $(COMPRESS) aflibDevFile1.0.0.tar) && $(MOVE) `dirname .tmp/aflibDevFile1.0.0`/aflibDevFile1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/aflibDevFile1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


compiler_clean: 

####### Compile

aflibDevFile.o: aflibDevFile.cc aflibDevFile.h \
		../aflib/aflibFile.h \
		../aflib/aflib.h \
		../aflib/aflibConfig.h \
		../aflib/aflibData.h \
		../aflib/aflibFileItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibDevFile.o aflibDevFile.cc

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/aflib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/aflib/ 
	-$(INSTALL_PROGRAM) "../../../libs/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/aflib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
otrplayer (0.11) unstable; urgency=low

  * Added madplay as a dependancy

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 25 Mar 2009 17:38:49 -0800

=== debian/control ===
Source: otrplayer
Section: user/multimedia
Priority: optional
Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libesd0-dev, libgtk2.0-dev, libosso-dev
Standards-Version: 3.7.2

Package: otrplayer
Architecture: any
Depends: ${shlibs:Depends}, hildon-application-manager, madplay
Description: An audio player for listening to Old Time Radio.

## otrplayer 0.30

=== debian/changelog ===
otrplayer (0.30) unstable; urgency=low

  * More various fixes

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 26 Apr 2009 17:38:49 -0800

otrplayer (0.2) unstable; urgency=low

  * Made various fixes

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 28 Mar 2009 17:38:49 -0800

## otrplayer 0.40

=== src/app/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: otrplayer
-# Generated by qmake (2.01a) (Qt 4.5.0) on: Sun Mar 22 20:31:41 2009
+# Generated by qmake (2.01a) (Qt 4.5.0) on: Sat Apr 4 23:13:33 2009
 # Project:  app.pro
 # Template: app
 # Command: /usr/bin/qmake-qt4 -unix -o Makefile app.pro
@@ -10,7 +10,7 @@
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+DEFINES       = -DMAEMO -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -pipe -O2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -D_REENTRANT -Wall -W $(DEFINES)
 CXXFLAGS      = -pipe -O2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -D_REENTRANT -Wall -W $(DEFINES)
 INCPATH       = -I/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_ARMEL/usr/include/qt4/QtCore -I/targets/DIABLO_ARMEL/usr/include/qt4/QtGui -I/targets/DIABLO_ARMEL/usr/include/qt4/Qt3Support -I/targets/DIABLO_ARMEL/usr/include/qt4 -I../lib -I. -I.
@@ -46,12 +46,14 @@
 		otrplayer.cc \
 		otrplayerfile.cc \
 		id3tag.cc \
-		otrplayerbase.cpp moc_otrplayerbase.cpp
+		otrplayerbase.cpp \
+		MyQ3ListViewItem.cc moc_otrplayerbase.cpp
 OBJECTS       = main.o \
 		otrplayer.o \
 		otrplayerfile.o \
 		id3tag.o \
 		otrplayerbase.o \
+		MyQ3ListViewItem.o \
 		moc_otrplayerbase.o
 DIST          = /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
 		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
@@ -154,7 +156,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/otrplayer1.0.0 || $(MKDIR) .tmp/otrplayer1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/otrplayer1.0.0/ && $(COPY_FILE) --parents otrplayer.h otrplayerfile.h id3tag.h otrplayerbase.h .tmp/otrplayer1.0.0/ && $(COPY_FILE) --parents main.cc otrplayer.cc otrplayerfile.cc id3tag.cc otrplayerbase.cpp .tmp/otrplayer1.0.0/ && (cd `dirname .tmp/otrplayer1.0.0` && $(TAR) otrplayer1.0.0.tar otrplayer1.0.0 && $(COMPRESS) otrplayer1.0.0.tar) && $(MOVE) `dirname .tmp/otrplayer1.0.0`/otrplayer1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/otrplayer1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/otrplayer1.0.0/ && $(COPY_FILE) --parents otrplayer.h otrplayerfile.h id3tag.h otrplayerbase.h MyQ3ListViewItem.h .tmp/otrplayer1.0.0/ && $(COPY_FILE) --parents main.cc otrplayer.cc otrplayerfile.cc id3tag.cc otrplayerbase.cpp MyQ3ListViewItem.cc .tmp/otrplayer1.0.0/ && (cd `dirname .tmp/otrplayer1.0.0` && $(TAR) otrplayer1.0.0.tar otrplayer1.0.0 && $(COMPRESS) otrplayer1.0.0.tar) && $(MOVE) `dirname .tmp/otrplayer1.0.0`/otrplayer1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/otrplayer1.0.0
 
 
 clean:compiler_clean 
@@ -177,7 +179,7 @@
 compiler_moc_header_clean:
 	-$(DEL_FILE) moc_otrplayerbase.cpp
 moc_otrplayerbase.cpp: otrplayerbase.h
-	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) otrplayerbase.h -o moc_otrplayerbase.cpp
+	/usr/bin/moc $(DEFINES) $(INCPATH) otrplayerbase.h -o moc_otrplayerbase.cpp
 
 compiler_rcc_make_all:
 compiler_rcc_clean:
@@ -206,6 +208,7 @@
 		otrplayerbase.h \
 		otrplayerfile.h \
 		id3tag.h \
+		MyQ3ListViewItem.h \
 		../lib/aflib/aflibConfig.h \
 		../lib/aflib/aflib.h \
 		../lib/aflib/aflibFile.h \
@@ -227,6 +230,9 @@
 otrplayerbase.o: otrplayerbase.cpp otrplayerbase.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o otrplayerbase.o otrplayerbase.cpp
 
+MyQ3ListViewItem.o: MyQ3ListViewItem.cc MyQ3ListViewItem.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o MyQ3ListViewItem.o MyQ3ListViewItem.cc
+
 moc_otrplayerbase.o: moc_otrplayerbase.cpp 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_otrplayerbase.o moc_otrplayerbase.cpp
 
@@ -262,9 +268,5 @@
 	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
 
 
-install:  install_target install_data_service install_data_desktop  FORCE
-
-uninstall: uninstall_target uninstall_data_service uninstall_data_desktop   FORCE
-
-FORCE:
-
+install_data_icons_26: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/

=== src/lib/dev/Makefile ===
#############################################################################
# Makefile for building: libaflibDevFile.so
# Generated by qmake (2.01a) (Qt 4.5.0) on: Tue Mar 31 23:44:57 2009
# Project:  dev.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -o Makefile dev.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -O2 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++ -I. -I. -I../aflib
LINK          = g++
LFLAGS        = -Wl,-O1 -shared
LIBS          = $(SUBLIBS)   -lesd
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aflibDevFile.cc 
OBJECTS       = aflibDevFile.o
DIST          = /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		dev.pro
QMAKE_TARGET  = aflibDevFile
DESTDIR       = ../../../libs/
TARGET        = libaflibDevFile.so
TARGETD       = libaflibDevFile.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../libs/$(TARGET)

../../../libs/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../libs/ || $(MKDIR) ../../../libs/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../../libs/



Makefile: dev.pro  /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf
	$(QMAKE) -unix -o Makefile dev.pro
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile dev.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/aflibDevFile1.0.0 || $(MKDIR) .tmp/aflibDevFile1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/aflibDevFile1.0.0/ && (cd `dirname .tmp/aflibDevFile1.0.0` && $(TAR) aflibDevFile1.0.0.tar aflibDevFile1.0.0 && $(COMPRESS) aflibDevFile1.0.0.tar) && $(MOVE) `dirname .tmp/aflibDevFile1.0.0`/aflibDevFile1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/aflibDevFile1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


compiler_clean: 

####### Compile

aflibDevFile.o: aflibDevFile.cc aflibDevFile.h \
		../aflib/aflibFile.h \
		../aflib/aflib.h \
		../aflib/aflibConfig.h \
		../aflib/aflibData.h \
		../aflib/aflibFileItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibDevFile.o aflibDevFile.cc

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/aflib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/aflib/ 
	-$(INSTALL_PROGRAM) "../../../libs/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/aflib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
otrplayer (0.40) stable; urgency=low

  * More various fixes

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 03 May 2009 17:38:49 -0800

## otrplayer 0.41

=== debian/changelog ===
otrplayer (0.41) stable; urgency=low

  * Speed improvements for startup of player

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 06 Jun 2009 17:38:49 -0800

=== debian/control ===
Source: otrplayer
Section: user/multimedia
Priority: optional
Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libesd0-dev, libosso-dev, libvorbisidec-dev
Standards-Version: 3.7.2

Package: otrplayer
Architecture: any
Depends: ${shlibs:Depends}, hildon-application-manager, madplay
Description: An audio player for listening to Old Time Radio.
 This audio player features the ability to remember its last played
 location. This is necessary for those who listen to old time radio
 or to audio books. It also has a pitch control. Currently supported
 formats are MP3, OGG, and WAV.
 .
 If you are new to Old Time Radio then check out the web site
 archive.org and look for the audio section and search for OTR.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QMcEh8BAXU8
 pgAABiFJREFUSMetlmuMVdUVx/9rP+45586de+fBOAM4UwbEQkGKjxIbimIJ
 wSZVgUhiBWKl1fJlaIK2SaGtTVrTxFSTmgZtfVESClqjYgcJaE1rIIM0WAaR
 AWZ4OMzcmbl37mPu49zz3Lsf7p0pbUxqO10fTvZJ9jm/vbL//7UW8G/x+t6X
 aM2yeetXLG7bvX7F3Ofe27XpJvy/46ePb+XLF83c85V5cX37DQm9bF5cr1vR
 bvccePTu6f6bXfvy/uHuneVyabPWAGOA4ITh5IT1+5c/2Fvp+XHbdEB8cnHv
 ypvnplOj+7TWghHAGUFwggYwNFq0DBEabx+9fGjaGWXSo49prU2tgVABgdIg
 AhgBgEZP79WHzr3zRGxaoB1dm6NQ/oOCE0CAhkaoNMJQgxEhVMDZi+n4pfNn
 1kwLdLHvo7tMSQ1RU8CQHIIxMCL4oQYAaA0UbR8fnR3++v8KEgAgKVjVFDfg
 BwoV14frhgiVAtU2GZJQchXGMqXbpiWGO77c9pO4xTsSMYl4VMIQBEJVEIZk
 sCIckjPEoqJ11S3tsxZ8cf6pU+cGi/8NiFLDA7Rrx4bxOgNNVoSDtEa+5GIs
 W0E6X0G54kMpDQIQq49iw50dGB6v2Fcz/h/ynvXbO+/77smN335E/0fQn17c
 2XDl1JFMa6PFGusjsCSD7fjIFl2kchWMZSvIFhzkSx40MWxePRczEibyJQ9l
 J8RI3j+TzPp7skFi7659f04S0WeDXntq4w2qMNh/fUsd6qMClmRTd+MHIcpO
 gELZR6bg4IPTKSztTGDerHpIwdDSZEFwjnzJQ99gwb885nR/msWzK9c++tdN
 W7bqf83omW8tNcPxvzfHDRiSwZQEwajqHw1M7tYa2H14AL7joc7kiEiO6xot
 zGgwkaiLQHCGshPg0kgJZ6/ax4YK4rFX3+39cEp1MYszM5QQvCppQg0CADUY
 ABABFTfASLqMIFBVJXEGKRkMwRGRDGaEwzI4mixa7rnFY/d8tfOp2Qtuf+L5
 V/b5oi5qOtxh4JwAqpYcP8Q1sCqYiJDKO7iatuEFGkprBKGGrmVNVa+DiCbV
 yhti8keFT/82O5VKPSRiieac56U0Z4yoVhWUBhQAxhgigiEiOQq2h/Gcg5IT
 1iCAHyoEChrES8TYmNZIa1ABQKBU2JkueF9a2CE2P3z/6mfEdQtWjY/mLjic
 k8WIwKgK4pwhZknEG0xwQ+DoXy5hwvaRtXU+BD+iSByVRrS3Y87cC2vXrhvv
 2rYtuFZx27dvZ8fe2fv6yqVt647327cSAJzds+FjU6jFUjAIRiBGkJIjakr0
 jxTx0tvn8cmFMYTc+nXjnFt3vPHmW/bnMek9y+c/8MP75+x77uDwRgEAjNgJ
 Rmqx5NULNSIcGoQP+9J4ev8ZnOwbw6Lr61Df0LK7a8smb9t3NkkCoEBwlWDQ
 ChF48FyXlAqJiNAyq73y/K9+kB1K27oYRk+Kqnwi7ynlb6FaHyIAl5ITOHJ8
 EIPJPG6caYGLyPkG3777dz/7/gkiRl7zzSggjpLtUsUuQvs2jHCC2kSOTPJ1
 XTyxc+uDC1t6+8cPvbj/4HkBACLefrCS7isxFsRcL0BmwsHpgQyGRibQGheI
 GRw5X75AobdIkpaaMYimTsTJhKuGkUz3Y0nnbNw2fyEodNCELB3+ePjJ7uOj
 A0MT4muPtLZOFQEc/c3aZxFWulwvxEjGxrnLWVxOFuB6AZyAkvXtSxYkcle6
 KfTvICJoMARWKwKjEb7iCHwH5OaQQB5WRCDpSQi/4nW0Nt/7yzePHxaTIF82
 /SI9dnFDsey0jWTKSOUrCEIFpaGKKtrV/da7xW3fXDbTFAyMEYio5udcrZdo
 6DoBjWZopTDbUAgCFsnb7s8B/BN01/deTr2y8xvrR3MTB1LZSkvJ9lF2wiDj
 mY/v737/jS/M6UTvwNAVpoP5jAicsZpJq06dWtfMqzWgtAYzon+canyT8fCT
 h3qe3n7fInd84IGCHzSkw/oDPaf7TjNWHS1u6pzZEo1MzjOf0Rn05ENDKY0w
 VPAUlkxWs88dq2+5cU3o+zN07UsCqdrhq3MBkarV31o1Iy0jxpVDJz45+Q/B
 Icfglf1k+AAAAABJRU5ErkJggg==
 ====

## otrplayer 0.42

=== debian/changelog ===
otrplayer (0.42) stable; urgency=low

  * Fixed bug in speed inprovements

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 07 Jun 2009 17:38:49 -0800

## otrplayer 0.50

=== debian/changelog ===
otrplayer (0.50) stable; urgency=low

  * Small enhancements. Fixed bug forward and reverse times first time used. 
  * Sped up load time of mp3 files. Changed font for list display. Cleaned
  * up configuration tab. Enabled full screen mode for Player tab. Fix
  * time slider.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 16 Jan 2010 17:38:49 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libesd0-dev, libosso-dev, libvorbisidec-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libesd0-dev, libosso-dev, libvorbisidec-dev, libmad0-dev
 Standards-Version: 3.7.2
 
 Package: otrplayer

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := otrplayer
PREFIX  :=  $(shell pwd)/debian/$(APPNAME)
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

        # Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## otrplayer 0.51

=== debian/changelog ===
otrplayer (0.51) stable; urgency=low

  * Small enhancements. Fixed bug forward and reverse times first time used. 
  * Sped up load time of mp3 files. Changed font for list display. Cleaned
  * up configuration tab. Enabled full screen mode for Player tab. Fix
  * time slider. Moved config directory from otrplayer to .otrplayer.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 24 Jan 2010 17:38:49 -0800

## otrplayer 0.52

=== debian/changelog ===
otrplayer (0.52) stable; urgency=low

  * Fix the Qt version used.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sun, 24 Jan 2010 17:38:49 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libesd0-dev, libosso-dev, libvorbisidec-dev, libmad0-dev
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.2), libesd0-dev, libosso-dev, libvorbisidec-dev, libmad0-dev
 Standards-Version: 3.7.2
 
 Package: otrplayer
